<?php
session_start();
require_once(__DIR__ . "/../inc/config.inc.php");
require_once(__DIR__ . "/../inc/functions.inc.php");

$user = check_intern_user();
if (!$user) {
    header("Location: login.php");
    exit;
}
include("templates/header.inc.php");

?>
		
	</header>

<!-- Main -->

    <div class="jumbotron">
      <div class="container">

		<h1>Interner Bereich</h1>

		Hallo <?php echo htmlentities($user['vorname']); ?>,<br>
		Herzlich Willkommen im internen Bereich von <?php echo $organisationsname; ?>!<br><br>

		 
		<?php
		if(!check_mailreg()){
			
			echo "<br><br>";
			echo "Es fehlt die Authentifizierung Ihres Kontos per E-Mail! Bitte authentifizieren Sie Ihre E-Mail-Adresse.<br>";
			echo "<form action='authmeldung.php' method=POST>";
			echo "<input name=aktion type=hidden value=1>";
			echo "<input type=submit class='btn btn-primary' value='E-Mail Authentifizierung'><br>";
			echo '</form>';
		
		
		}
		if(!check_userdatenvorhanden()){
			
			echo "<br><br>";
			echo "Es fehlen noch Informationen in Ihrem Stammdaten. Bitte pflegen Sie die Daten nach, damit <br>";
			echo "<form action='settings.php' method=POST>";
			echo "<input name=aktion type=hidden value=1>";
			echo "<input type=submit class='btn btn-primary' value='Stammdaten pflegen'><br>";
			echo '</form>';
		
		
		}	
	
		
		
		if(check_mailreg() && check_userdatenvorhanden() ){
			if($_POST["aktion"] == "11"){
				
				$sqlstring  =  "SELECT * FROM anfragen INNER JOIN persons ON anfragen.requester_person_id = persons.person_id  INNER JOIN anfrageart ON anfragen.anforderungart = anfrageart.artid WHERE anfrageid='" . $_POST["anfrageid"] . "'";
				$query = mysqli_query($con,$sqlstring);
				// Ticket und Antwort ansehen.
				while ($row = $query->fetch_assoc()) {
						
						
						$anfrageid = $row["anfrageid"];
						$Zeitanzeige = $datum . " " . $start . "-" . $ende ;
						$userid = $row["userid"];
						$checked = $row["checked"];
						$workerid = $row["workerid"];
						$antwortid = $row["antwortid"];
						$date_created = $row["create_time"];

						$vorname = $row["vorname"];
						$nachname = $row["nachname"];
						$mail = $row["mail"];
						$tel = $row["tele"];
						
						$geburtstag = $row["geburtstag"];
						$ausgabegeburstag = $geburtstag;
						
						$ort = $row["ort"];
						$plz = $row["plz"];
						$strasse = $row["strasse"];
						$ordnungsid = $row["ordnungsid"];
						$ordnungsstring = GetOrdnungsid($ordnungsid);
						$nachricht = $row["nachricht"];
						$medikamenteins = $row["medikament1"];
						$medikamentzwei = $row["medikament2"];
						$medikamentdrei = $row["medikament3"];
						$medikamentvier = $row["medikament4"];
						$medikamentfuenf = $row["medikament5"];
						$medikamentsechs = $row["medikament6"];
						$anfrageart = $row["artname"];
						#$anfrageart = iconv('UTF-8' ,'CP1252//IGNORE',  $anfrageart);
						$antworttext = $row["antworttext"];
						$WeitereInfos= "";
						if($medikamenteins){
							$WeitereInfos .= "Medikament1: $medikamenteins<br>";
						}
						if($medikamentzwei){
							$WeitereInfos .= "Medikament2: $medikamentzwei<br>";
						}
						if($medikamentdrei){
							$WeitereInfos .= "Medikament3: $medikamentdrei<br>";
						}
						if($medikamentvier){
							$WeitereInfos .= "Medikament4: $medikamentvier<br>";
						}
						if($medikamentfuenf){
							$WeitereInfos .= "Medikament5: $medikamentfuenf<br>";
						}
						if($medikamentsechs){
							$WeitereInfos .= "Medikament6: $medikamentsechs<br>";
						}
						if($nachricht){
							$WeitereInfos .= "Nachricht: $nachricht";
						}
						
						$datumausgabe= date("d.m.Y H:i", strtotime($date_created ));
						
						$ausgabeworker = GetWorkerName($workerid);
						$farbe = GetStatusFarbe($checked);
						$checkausgabe = GetStatus($checked);
											
						$userausgabe = $vorname . " " . $nachname;
						$adresse =  $plz . " " . $ort . ", " . $strasse ;		
						/*
						$queryconfig = mysqli_query($con, "Select betreff,body,name FROM mailtemplates WHERE templetid='$antwortid' ");
						$rowconfig = mysqli_fetch_assoc($queryconfig);
						$body = $rowconfig["body"];
						$betreff = $rowconfig["betreff"];
						*/
						//$name = $rowconfig["name"];
						//$betreff = iconv('CP1252//IGNORE', 'UTF-8' , $betreff);
						$body = iconv('CP1252//IGNORE', 'UTF-8' , $antworttext);
						
						
						echo "<b>Person:</b><br>$userausgabe <br> $mail <br><br><b>Anfrageinformationen:</b><br>$ordnungsstring - $anfrageart <br>$WeitereInfos<br><br><b>Status der Anfrage:</b><br>$checkausgabe - $datumausgabe<br><br>";

						echo "<b>Antwortnachricht:<b><br><br>";
						echo "$body <br>";
						
						echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
						echo "<input name=aktion type=hidden value=1>";
						echo "<input type=submit class='btn btn-primary' value='Zurück'><br>";
						echo '</form>';
						
				}
				
				
			}else{
		
		
			?>
				<p>Hier finden Sie die letzten 100 Anfragen für die E-Mail-Adresse '<?php echo $user["email"];?>'.<br>Die Antworten können Sie auf dieser Webseite datenschutzkonform einsehen.<br><br></p>
				
				

				<?php
				
				//global $pdo;
				$statement = $pdo->prepare("SELECT * FROM anfragen INNER JOIN persons ON anfragen.requester_person_id = persons.person_id INNER JOIN anfrageart ON anfragen.anforderungart = anfrageart.artid WHERE persons.email = :email ORDER by create_time DESC LIMIT 100 ");
				$statement->execute(array('email' => $user["email"]));


				echo '<table class="table display" id="table_id" > ';
				echo '<thead><tr><th >Person/Adresse</th><th >createdate</th><th >Anfragedatum</th><th >Anfrage/Status</th><th>Aktion</th></tr> </thead>';
				echo "<tbody>";
				while($row = $statement->fetch(PDO::FETCH_ASSOC)){
					#echo $row["anfrageid"];
					#echo "<br>";
					$anfrageid = $row["anfrageid"];
					$Zeitanzeige = $datum . " " . $start . "-" . $ende ;
					$userid = $row["userid"];
					$checked = $row["checked"];
					$workerid = $row["workerid"];
					$date_created = $row["create_time"];
					$mailtime = $row["update_time"];

					$vorname = $row["vorname"];
					$nachname = $row["nachname"];
					$mail = $row["mail"];
					$tel = $row["tele"];
					
					$geburtstag = $row["geburtstag"];
					$ausgabegeburstag = $geburtstag;
					
					$ort = $row["ort"];
					$plz = $row["plz"];
					$strasse = $row["strasse"];
					
					$nachricht = $row["nachricht"];
					$medikamenteins = $row["medikament1"];
					$medikamentzwei = $row["medikament2"];
					$medikamentdrei = $row["medikament3"];
					$medikamentvier = $row["medikament4"];
					$medikamentfuenf = $row["medikament5"];
					$medikamentsechs = $row["medikament6"];
					$anfrageart = $row["artname"];
					$ordnungsid = $row["ordnungsid"];
					$ordnungsstring = GetOrdnungsid($ordnungsid);
					$WeitereInfos= "";
					if($medikamenteins){
						$WeitereInfos .= "Medikament1: $medikamenteins<br>";
					}
					if($medikamentzwei){
						$WeitereInfos .= "Medikament2: $medikamentzwei<br>";
					}
					if($medikamentdrei){
						$WeitereInfos .= "Medikament3: $medikamentdrei<br>";
					}
					if($medikamentvier){
						$WeitereInfos .= "Medikament4: $medikamentvier<br>";
					}
					if($medikamentfuenf){
						$WeitereInfos .= "Medikament5: $medikamentfuenf<br>";
					}
					if($nachricht){
						$WeitereInfos .= "Nachricht: $nachricht";
					}
					
					$datumausgabe= date("d.m.Y H:i", strtotime($date_created ));
					$antwortzeit = date("d.m.Y H:i", strtotime($mailtime ));
					
					$farbe = GetStatusFarbe($checked);
					$checkausgabe = GetStatus($checked);
					
					$userausgabe = $vorname . " " . $nachname . "<br>" . $ausgabegeburstag;
					$adresse =  $plz . " " . $ort . "<br>" . $strasse ;		
					
					echo "<tr style='background-color:". $farbe. ";' ><th scope='row' >$userausgabe <br> $adresse</th><td>$date_created</td><td>$datumausgabe</td><td >$ordnungsstring - $anfrageart <br>$WeitereInfos<br><br>Status:<br>$checkausgabe<br>$antwortzeit</td>";
					echo "<td >";
					if($checked == "10"){
						echo "
								<div style='float: left;margin:15px; height: 20px;'>
								<form action='". $_SERVER["PHP_SELF"] ."' method=POST>
									<input type=hidden name=aktion value=11>
									<input type=hidden name=anfrageid value=$anfrageid>
									<input type=submit class='btn btn-primary' value='Antwort einsehen'>
									</form>						
								</div>	
								";
					}else{

						echo "Keine Antwort einsehbar.";
						
					}
					echo "</td ></tr>";
				}
		
				echo "</tbody></table>";
				//echo "</div>";
				echo "<br><br>";
				echo "<br><br>";
				echo "<br><br>";
				echo "<br><br>";			
			
			}
		}	
		
?>
     </div>
    </div>
<?php

include("templates/footer.inc.php")
?>